<?php
include_once("c_personal_person.php");
class c_page_cab_personal_person_messages extends c_page_cab_personal_person
{
  public $h1='Карточка сотрудника - сообщения' ;

 function get_cur_page_meta_tags()
 {
   if ($this->rec_personal['pkey']) $this->h1='Сообщения для '.$this->rec_personal['obj_name'] ;
 }

 function second_menu_config()
 { $this->second_menu[$this->rec_personal['__href'].'messages/']='Сообщения (активные)' ;
   $this->second_menu[$this->rec_personal['__href'].'messages/closed/']='Сообщения (закрытые)' ;
 }



 function block_main()
 { $this->page_title() ;
   /*?><div class="center"><button class="v2" cmd="aspmo_personal/check_personal_messages" personal_id="<?echo $this->rec_personal['pkey']?>">Проверить вывод сообщений сотруднику</button></div><?*/
   $this->panel_report_messages() ;
 }

 function panel_report_messages()
 {   //FORM()->button('Отправить сообщение','aspmo_personal/get_panel_send_message_to_person',['personal_id'=>$this->rec_personal['pkey']]) ;
     FORM()->button('Отправить сообщение','aspmo_personal/send_mess_to_personal',['personal_id'=>$this->rec_personal['pkey']]) ;
     include_once(_DIR_EXT.'/aspmo_personal/report_personal_messages.php') ;
     $report_obj=new report_personal_messages() ;
     $report_obj->no_view_title=1 ;
     $report_obj->view_panel_info=0 ;
     $report_obj->filter['personal_id']=$this->rec_personal['pkey'] ;
     //$report_obj->setting_small() ;
     //$report_obj->panel_info_filter() ;
     $report_obj->view_as_HTML(array('no_view_person'=>1,'view_all_status'=>0)) ;

 }

}



?>
